Templates
Credential Type definitions
Provide the types of the fields of a template based on the given template ID.
Authorizations
X-TOKENstringRequired
Body
TemplateIdnumber · integerOptionalExample:
The ID of a credential template as defined in the sidoes administration console.
18Responses
200
The description of the template definition.
application/json
templateidnumber · integerOptionalExample:
18domainstring · urlOptionalExample:
https://yourdomain/callbackchallengestringOptionalExample:
A08935CF-FAEF-4978-81FF-BA4BBD757727datasetobjectOptionalExample:
{"email":"DataFeedItem","name":"DataFeedItem"}400
Bad Request
application/json
403
Unauthorized Access
application/json
500
Server Error
application/json
post/templatefielddescription
POST /v3/templatefielddescription HTTP/1.1
Host: juno.sideos.io
X-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"TemplateId": 18
}{
"templateid": 18,
"domain": "https://yourdomain/callback",
"challenge": "A08935CF-FAEF-4978-81FF-BA4BBD757727",
"dataset": {
"email": "DataFeedItem",
"name": "DataFeedItem"
}
}Last updated